2016-10-30: 1.51.3
- Fixes for debian packaging

2016-10-27: 1.51.2
- Adding support for .pbf format for Mapbox Vector Tiles
- Configuration can be passed as a dictionary in addition to path to JSON file.

2016-09-01: 1.51.1
- Bugfix on Mapnik image object

2016-09-01: 1.51
- Replacing PIL by Pillow
- Added example with raster

2015-01-30: 1.50.1
- Fixed missing ttf file

2015-01-21: 1.50.0
- Added 'scale factor' option to Mapnik image provider
- Added S3 policy specification to config
- Added dictionary config to VecTiles config
- Added pixel effects to all layer configurations
- Added remote configuration to MapnikGrid to match Mapnik
- Fixed UtfGridComposite to work with latest TileStache
- Fixed Pillow dependency
- Fixed "cache lifespan" in Redis cache

2014-06-07: 1.49.11
- Fixed 'allow-origin header' getting overwritten (JesseCrocker)
- Added 'source projection' parameter to UrlTemplate provider (JesseCrocker)
- Fixed minor AttributeError when palette256 argument is None (PerryGeo)
- Added Timeout feature to Proxy and UrlTemplate providers (Juliomalegria)
- Adjusted curl examples (Peter Richardson)
- More specific error message when SpatialRef is missing (probabble)

2014-05-10: 1.49.10
- Fixed Travis build.
- Fixed import errors for case-insensitive filesystems.
- Added TileStache Vagrant machine configuration.
- Fixed some memcache testing problems.

2014-05-10: 1.49.9
- Moved everything to PyPI and fixed VERSION kerfuffle.

2013-07-02: 1.49.8
- Dropped Proxy provider srs=900913 check.
- Updated most JSON mime-types from text/json to application/json.
- Fixed requestHandler() query_string argument to match existing API docs.
- Switched order of simplify and transform in VecTiles queries to handle GEOS bug.
- Made Rummy CORS-compliant.

2013-06-23: 1.49.7
- Added VecTiles:MultiProvider to merge TopoJSON and GeoJSON output layers.

2013-06-21: 1.49.6
- Switched to ST_SimplifyPreserveTopology in VecTiles clipping to calm GEOS.

2013-06-20: 1.49.5
- Tweaked VecTiles Provider documentation.

2013-06-20: 1.49.4
- Added TopoJSON support to VecTiles Provider.

2013-06-15: 1.49.3
- Fixed runaway query bug in VecTiles Provider with looped bounds in query_columns().

2013-06-14: 1.49.2
- Fixed SQL bug in VecTiles Provider for limiting column queries.

2013-06-14: 1.49.1
- Updated magic column names in VecTiles Provider to __geometry__ and __id__ for feature ID.

2013-06-05: 1.49.0
- Added option to use S3 reduced redundancy storage for cheaper caching.
- Made Postgres connections per-request instead of long term in VecTiles Provider.

2013-05-28: 1.48.2
- Fixed a serious documentation incompatibility with TileStache.requestHandler() introduced in 1.47.0.

2013-05-27: 1.48.1
- Fixed Werkzeug dependency in setup.py.

2013-05-26: 1.48.0
- Fixed a serious documentation incompatibility with TileStache.getTile() introduced in 1.47.0.

2013-04-24: 1.47.4
- Fixed from-mbtiles/output-directory use case in tilestache-seed, which I had broken.

2013-04-22: 1.47.3
- Fixed clobbered content from TheTileLeftANote exception.

2013-04-22: 1.47.2
- Fixed getTile bugs introduced in 1.47.0.

2013-04-20: 1.47.1
- Fixed typo in setup.py.

2013-04-20: 1.47.0
- Exposed mutable HTTP status codes and headers to TileStache.getTile() and caches via TheTileLeftANote exception.
- Removed old layer.redirects implementation via TheTileIsInAnotherCastle exception.
- Improved PIL dependency in setup requirements to include Pillow, with patch from Fabian Büchler.
- Fixed coordinate generator usage in tilestache-seed with patch from Seth Fitzsimmons.
- Added Redis cache provider with patch from Matthew Perry.

2013-04-12: 1.46.10
- Prefixed most Postgis functions in VecTile provider with "ST_" for forward compatibility.

2013-04-12: 1.46.9
- Added ogr.OFTDate and ogr.OFTTime to list of acceptable field types in Vector provider.

2013-04-12: 1.46.8
- Added ogr.OFTDateTime to list of acceptable field types in Vector provider, with patch from probabble.

2013-03-27: 1.46.7
- Fixed a stupid error in VecTiles.server discarding important Postgres connection details.

2013-03-26: 1.46.6
- Improved error tolerance in VecTiles client and server.

2013-03-25: 1.46.5
- Added new simplify_until parameter to VecTiles.Provider.
- Added some invalid geometry checks to VecTiles.server.
- Added !bbox! token to VecTiles query parser.

2013-03-19: 1.46.4
- Added new zoom_data parameter to TileStache.Goodies.VecTiles Datasource.

2013-03-19: 1.46.3
- Added new simplify parameter to TileStache.Goodies.VecTiles Provider.

2013-03-14: 1.46.2
- Added new parameters to TileStache.Goodies.VecTiles Datasource and Provider.

2013-03-14: 1.46.1
- Fixed missing TileStache.Goodies.VecTiles by adding it to setup.py.

2013-03-12: 1.46.0
- Added TileStache.Goodies.VecTiles to support efficient vector data tiles for use in Mapnik.
- Fixed alpha-channel issue in Sandwich provider with patch from Lars Ahlzen.

2013-02-26: 1.45.0
- Made S3 credentials optional since Boto allows them in via environment vars or config file.
- Added path parameter to S3 cache, to use a subdirectory rather than bucket root.
- Eased bitmap size checks in Sandwich provider for retina use.
- Added "quadtile" directory layout for disk cache provider.
- Added JSON support to MBTiles provider from Aaron Cope.
- Added Travis CI tests for Vector layer.

2013-02-22: 1.44.0
- Merged Ragi Burhum's Travis continuous integration tests with ~1/3rd test coverage.
- Modified Proxy provider to return untouched original image if size and type match.
- Updated Mapnik usage to reflect recently released versions.
- Fixed Mapnik provider deadlock bug with patch from Lee Shepherd.
- Added "key prefix" argument to Memcache cache provider.

2013-01-03: 1.43.0
- Added new tilestache-list.py script to feed tilestache-seed.py --tile-list.
- Added new "use_locks" option to S3 cache provider to optionally reduce write costs.

2012-10-01: 1.42.1
- Papered over a strange appearance bug in GDAL provider with using cubicspline interpolation.

2012-09-18: 1.42.0
- Added support for tiled bitmap files in Sandwich provider layer src attribute.

2012-09-14: 1.41.0
- Added TileStache.Goodies.Providers.Cascadenik to skip Mapnik XML where possible.

2012-09-09: 1.40.1
- Re-attempting Vector import to trigger a more-useful error than NameError in getProviderByName().

2012-09-04: 1.40.0
- Added TileStache.Sandwich provider based on previous Composite provider under Goodies.
- Modified import method for provider to reduce burden of required packages and improve error output.

2012-07-18: 1.39.0
- Fixed missing merge_grids() function in Mapnik Grid provider.
- Added TileStache.Goodies.ExternalConfigServer from Ryan Breen.

2012-07-05: 1.38.0
- Added Mapnik Grid provider "layer id key" parameter.
- Grid internals: response encodings to explicit UTF-8 for Chromium and using mapnik.render_layer().

2012-07-05: 1.37.0
- Added TileStache.Goodies.Proj4Projection for arbitrary PROJ.4 support.
- Added per-layer "tile height" option, for non-256x256 tiles.

2012-06-27: 1.36.1
- Added more Memcache disconnect_all() calls.

2012-05-22: 1.36.0
- Added --jsonp-callback option to tilestache-seed.py.

2012-05-22: 1.35.1
- Updated tilestache-seed.py manpage to reflect new options.

2012-05-22: 1.35.0
- Added direct-to-S3 cache option to tilestache-seed.py script. 
- Changed tilestache-seed.py default extension behavior to cover JSON.

2012-05-21: 1.34.0
- Added TileStache.Goodies.StatusServer alternate WSGI server for redis-backed internal status checks.
- Added maskband parameter to TileStache.Goodies.Providers.GDAL provider.

2012-05-09: 1.33.1
- Fixed mapnik.Envelope/Box2d back-compatibility.

2012-05-09: 1.33.0
- Added Vector provider support for Spatialite, MySQL and Oracle from Andrew Semprebon.

2012-05-08: 1.32.3
- Fixed a dumb import error in TileStache.Providers.

2012-05-07: 1.32.2
- Disambiguated null vs. empty list behavior of Mapnik Grid fields. 

2012-05-06: 1.32.1
- Fixed output of Mapnik Grid to be pure UTF-8 instead of ASCII-encoded for size.

2012-05-06: 1.32.0
- Added core Mapnik Grid provider based on providers under TileStache.Goodies with contributions from Alexander Clausen, Tom Nightingale, Dave Leaver and Paul Smith.

2012-04-09: 1.31.1
- Fixed broken MBTiles support.

2012-04-07: 1.31.0
- Added support for per-extension redirects in Layer configuration.
- Added new TileStache.Goodies.Provider.UtfGridComposite provider.
- Added new TileStache.Goodies.Cache.GoogleCloud cache.
- Added support for buffers around features in TileStache.Goodies.Provider.MapnikGrid.

2012-04-05: 1.30.0
- Added Goodies.AreaServer for serving static, non-tile images.
- Added TileStache.Goodies.Providers.Monkeycache for serving tiles out of caches.
- Documented JSONP callbacks in TileStache.requestHandler().

2012-03-27: 1.29.3
- Fixed a NameError in tilestache-seed.py.

2012-03-18: 1.29.2
- Ensured that in-process recent tiles features works with metatiles.

2012-03-15: 1.29.1
- Added debug logging to Mapnik provider.

2012-03-14: 1.29.0
- Added configurable HTTP referer header to URL Template provider.
- Added optional precision parameter to Vector provider for JSON output.
- Added basic logging facility, including getTile() logging at DEBUG level.

2012-02-26: 1.28.0
- Added new ways to define layer boundaries, including lists and partial limits.

2012-02-26: 1.27.3
- Fixed a forehead slapper in tilestache-seed.

2012-02-26: 1.27.2
- Fixed Mapnik fonts path bug.

2012-02-20: 1.27.1
- Fixed WSGITileServer issue in new Configuration.index support.

2012-02-20: 1.27.0
- Added new Configuration.index support for configurable index page responses.
- Cleaned up some unnecessary errors  in preview and callback handling.

2012-02-17: 1.26.4
- Rewrote internals of tilestache-seed to support the no-config use case.

2012-02-16: 1.26.3
- Tweaked Vector mime-types and mapnik import details.

2012-02-15: 1.26.2
- Fixed os.rmdir() error handling in Caches.Disk.

2012-02-15: 1.26.1
- Changed lock in Providers.Mapnik to be a single global lock for the entire process instead of per-layer.

2012-02-13: 1.26.0
- Modified internals of Providers.Mapnik to ensure single-threaded access to mapnik.Map object.
- Fixed MapnikGrid so its documentation can be made even though no one has mapnik2.
- Added -i/--include-path flag to tilestache-compose.py script.

2012-02-06: 1.25.1
- Fixed tilestache-clean.py script to not complain on unsupported -e flag.

2012-02-01: 1.25.0
- Added "ALL" ("ALL LAYERS") option to tilestache-clean.py script.

2012-01-30: 1.24.1
- Fixed an error in WSGITileServer._response().

2012-01-25: 1.24.0
- Added support for HTTP Expires and Cache-Control headers with per-layer maximum cache age.
- Merged Per Liedman's fox for disk cache lock directory removal bug.

2012-01-23: 1.23.4
- Fixed a bug in Multi Cache provider remove().

2012-01-12: 1.23.3
- Changed import delay from 1.23.2 to a specific conditional around sqlite3 for Heroku.

2012-01-11: 1.23.2
- Delayed import of MBTiles and Vector providers until last minute.

2012-01-10: 1.23.1
- Added Nikolai's httplib patch in Proxy provider.

2012-01-10: 1.23.0
- Added new tilestache-clean.py script and required remove() method for caches.

2012-01-01: 1.22.0
- Fixed inconsistencies with cache-ignore setting when using tilestache-compose.py.
- Fixed use of write-cache setting in TileStache.Layer.
- Adding configuration file's directory to sys.path in Config.buildConfiguration().
- Stopped adding current working directory to sys.path for new classes.
- Added new TileStache.Goodies.Providers.MapnikGrid:Provider by github user danzel.

2011-12-25: 1.21.3
- Fixed a bug where I'm an idiot.

2011-12-25: 1.21.2
- Fixed a locking bug in tilestache-compose.py.

2011-12-25: 1.21.1
- Added current working directory to sys.path for new classes.

2011-12-18: 1.21.0
- Added new tilestache-compose.py script.
- Fixed preview body style to account for iOS viewport.

2011-12-12: 1.20.1
- Fixed body style to account for full-page map.

2011-12-07: 1.20.0
- Tile URLs can now contain negative integers.
- Now reading files in Disk Cache using 'rb' mode for Windows compatibility.

2011-11-23: 1.19.4
- Fixed a silly bug where I was comparing ints and strings.

2011-11-23: 1.19.3
- Merged llimllib's support for zoom limits in Composite provider.

2011-10-09: 1.19.2
- Added support for GCPs and cubicspline in GDAL provider.

2011-10-06: 1.19.1
- Fixed TypeError bug with Access-Control-Allow-Origin in WSGITileServer.

2011-09-04: 1.19.0
- Added new resampling option to GDAL provider in Goodies.

2011-08-30: 1.18.3
- Fixed incorrect handling of grayscale datasources in GDAL provider.

2011-08-24: 1.18.2
- Fixed alpha channel handling for mixed-alpha combinations in Composite provider.

2011-07-23: 1.18.1
- Fixed new spacing configuration option on vector provider.

2011-07-23: 1.18.0
- Added new configuration options to vector provider: clipped=padded for Polymaps and spacing.

2011-07-18: 1.17.0
- Added configuration for HTTP Access-Control-Allow-Origin response header for cross-origin resource sharing (CORS).
- Added --include-path option to tilestache-server.py.

2011-07-15: 1.16.0
- Added configuration for JPEG and PNG creation options, including 8-bit PNG output and Photoshop color table support.

2011-07-13: 1.15.0
- Added three new options to tilestache seed: --from-mbtiles, --enable-retries and --error-list.

2011-07-12: 1.14.0
- Added per-layer "write cache" option.
- Added --tile-list option to tilestache-seed.py, so that tiles to seed can be explicitly enumerated.
- Fixed S3 cache provider to work with boto 1.9 and 2.0 equally.
- Added the simplest GDAL provider that could possibly work.

2011-07-04: 1.13.0
- Added support for MBTiles format. Tilesets can be providers or destinations for seeded tiles.

2011-06-22: 1.12.1
- Added new adjustments and blend mode to Composite provider: threshold, curves2, and linear light.

2011-06-16: 1.12.0
- Changed argument structure of osm2pgsql in MirrorOSM provider to allow kept coastlines.

2011-06-14: 1.11.1
- Stopped using wasteful boto.s3.Connection.create_bucket() call in S3 cache provider.
- Mega-update from Dane Springmeyer with fixes to examples, documentation, and projections.

2011-05-13: 1.11.0
- Added ignore-cache parameter to tile rendering; renamed from Zain's cache-bust parameter.

2011-04-18: 1.10.6
- Added faint mapnik tile image to MirrorOSM image responses.

2011-04-18: 1.10.5
- Fixed Grid provider font path bug, again.

2011-04-18: 1.10.4
- Fixed Grid provider font path bug.

2011-04-15: 1.10.3
- Fixed cache lifespan flub in TileStache.Caches.Disk.

2011-04-14: 1.10.2
- Fixed TileStache.Vector in setup.py.

2011-04-13: 1.10.1
- Fixed cache lifespan flub in Memcache.

2011-04-13: 1.10.0
- Added new caches: Multi, Memcache, and S3.
- Added several new Vector response types: ESRI GeoServices JSON, ESRI AMF, and BSON encoding.
- Added new MirrorOSM provider for populating PostGIS with piecemeal OpenStreetMap data.
- Added "cache lifespan" to core Layer configuration.

2011-04-08: 1.9.1
- Bug fix from kaolin: Geography.py was missing import of ModestMaps.Geo Location

2011-03-28: 1.9.0
- Added new Vector provider based on old PostGeoJSON provider.

2011-03-28: 1.8.1
- Merged Zain Memon's proxy provider update.

2011-03-24: 1.8.0
- Added new Core.NoTileLeftBehind exception class to suppress result caching.

2011-03-17: 1.7.4
- Fixed use of "layers.get(name)" to "name in layers" in WSGI server.
- Made possible to build Composite docs without numpy or sympy.

2011-03-17: 1.7.3
- Made it possible to instantiate WSGI server with a configuration object instead of a file.

2011-01-31: 1.7.2
- Fixed json import to account for older Python versions, by checking for simplejson availability.

2011-01-29: 1.7.1
- Fixed PIL import to account for systems that can "import Image".

2011-01-26: 1.7.0
- Made geographic projections user-specifiable using module:class naming.
- Made all class specifications accept module:class syntax, hoping to deprecate module.class sometime.
- Added manpage fixes from David Paleino.

2011-01-26: 1.6.2
- Fixed WSGI content-length type error that was affecting mod_wsgi.

2011-01-21: 1.6.0
- Added "-d" flag for tilestache-seed.py to drop tiles in a directory, regardless of cache settings.
- Merged Zain Memon's WSGI support, supercedesprevious example gunicorn support.

2010-11-29: 1.5.0
- Expanded PostGeoJSON provider in extras collection to include built-in shape clipping for Polymaps.
- Added gzip option to Disk cache to reduce disk usage of  text-based providers like XML or JSON.

2010-11-23: 1.4.1
- Being permissive of I/O errors when getting sublayers in Composite provider.
  This is short-term necessary, may require configuration or fixing later.

2010-11-20: 1.4.0
- Completed substantial upgrades to Composite provider (TileStache.Goodies.Providers.Composite),
  including multiple blend modes, curves adjustments, and layer opacity.

2010-11-18: 1.3.0
- Added new URL Template provider from Ian Dees to TileStache.Providers.

2010-11-15: 1.2.2
- Made it possible to use just a subset of layer preview arguments instead of the full four (lat, lon, zoom, ext).

2010-11-15: 1.2.1
- Previously neglected to include VERSION file in tarball.

2010-11-15: 1.2.0
- Made preview.html pages for tiles configurable with a starting location.
- Sharply improved TileStache.Goodies.Providers.Composite with JSON config, etc. 

2010-11-09: 1.1.3
- Found another mapnik bug, removed unnecessary tempfile creation.

2010-11-09: 1.1.2
- Refixed a bug in mapnik provider and learned to test things before pushing them.

2010-11-09: 1.1.1
- Fixed a bug in mapnik provider to make fonts directory work.

2010-10-21: 1.1.0
- Made configuration objects customizable by defining properties in new API.html.
